Skip to main content
GET
/
{chain_id}
/
stats-service
/
api
/
v1
/
pages
/
multichain
/
main
Returns multichain-aggregated stats to be displayed on the main page of multichain indexer.
curl --request GET \
  --url https://api.blockscout.com/{chain_id}/stats-service/api/v1/pages/multichain/main \
  --header 'Authorization: Bearer <token>'
{
  "new_txns_multichain_window": {
    "chart": [
      {
        "date": "<string>",
        "date_to": "<string>",
        "is_approximate": true,
        "value": "<string>"
      }
    ],
    "info": {
      "description": "<string>",
      "id": "<string>",
      "resolutions": [
        "<string>"
      ],
      "title": "<string>",
      "units": "<string>"
    }
  },
  "total_multichain_addresses": {
    "description": "<string>",
    "id": "<string>",
    "title": "<string>",
    "units": "<string>",
    "value": "<string>"
  },
  "total_multichain_txns": {
    "description": "<string>",
    "id": "<string>",
    "title": "<string>",
    "units": "<string>",
    "value": "<string>"
  },
  "yesterday_txns_multichain": {
    "description": "<string>",
    "id": "<string>",
    "title": "<string>",
    "units": "<string>",
    "value": "<string>"
  }
}

Authorizations

Authorization
string
header
required

API key passed as a Bearer token in the Authorization header.

Path Parameters

chain_id
string
required

The ID of the blockchain

Response

A successful response.

Multichain-aggregated statistics for the main page of multichain indexer. Fields are optional because individual charts may be disabled.

new_txns_multichain_window
object

A line chart: its metadata and the series of data points.

total_multichain_addresses
object
total_multichain_txns
object
yesterday_txns_multichain
object